/* Depreciated classes *
 * Framatitle */
 .frama  { color: c(f, 7); }
 .soft   { color: c(o, 7); }
 .logiciel { color: c(b, 7); }
 .culture { color: c(r, 8); }
 .services { color: c(v, 6); }
 .vrac  { color: c(j, 7); }

/* Background title */
.fond-frama  { background-color: c(f, 7); }
.fond-soft   { background-color: c(o, 7); }
.fond-logiciel { background-color: c(b, 7); }
.fond-culture  { background-color: c(r, 8); }
.fond-services { background-color: c(v, 6); }
.fond-vrac   { background-color: c(j, 7); }

/* Prefixed classes *
* f = [f]iolet ; b = bleu ; v = vert ;  o = orange ; r = rouge ; j = jaune ;
* m = marron ;   g = gris ; l = light ; d = dark ;
* fb_ = background ; fc_ = color */
@each $key, $colors in $c {
  @for $i from 1 through 9 {
    .fc_#{$key}#{$i} {
      color: nth($colors, $i);
      fill: nth($colors, $i);
    }
    .fb_#{$key}#{$i} {
      background-color: nth($colors, $i);
    }
  }
}